﻿.corner-button {
    position: absolute;
    top: 5px;
    right: 5px;
}

.selected{
}
.loadingComponentLabel{
    color:white;
}





.hopper {
    text-align: center;
    width: 100px;
    height: 50px;
    border: 4px solid black;
    background-color: #808080;
}
    .hopper.selected {
        border: 4px solid #0fc910;
        background-color: #807d7d;
    }
    .hopper:hover {
        border: 4px solid red;
        background-color: #807d7d;
        cursor: pointer;
    }
    .hopper > .loadingComponentLabel{
        font-size:1em;
    }


.elevator-sensor {
    border: 2px solid black;
    background-color: gray;
    width: 15px;
    height: 15px;
    border-radius: 50%;
}
    .elevator-sensor.alto {
     
    }
    .elevator-sensor.medio-sx {
        position: absolute;
       
        top:30%;
      
    }
    .elevator-sensor.medio-dx {
        position: absolute;
        /*top: 55px;*/
        top:26%;
        /*right: 80px;*/
        right:40%;
    }
    .elevator-sensor.alto-dx {
        position: absolute;
        /*top: 55px;*/
        top: 22.5%;
        /*right: 80px;*/
        right: 37%;
    }
    .elevator-sensor.basso {
        position: absolute;
       bottom:58%;
    }


.miniHopper {
    position: relative;
    height: 0px;
    width: 80px;
    border-radius: 10px;
    border-top: 60px solid #428BCA;
    border-left: 40px solid transparent;
    border-right: 40px solid transparent;
    border-bottom: 0px transparent;
}
    .miniHopper.selected {
        border-top: 60px solid ;
        border-top-color:#0fc910 !important;
    }

    .miniHopper:hover {
        border-top: 60px solid #428BCA;
        border-top-color: #295c88;
        cursor: pointer;
    }


/*BETCA*/


.betca_aggregateLoading_grid {
    display: grid;
    grid-template-columns: repeat(2,14.5rem);
    grid-template-rows: repeat(4,11rem);
}



@media (max-width: 1100px) {
    .betca_aggregateLoading_grid {

        grid-template-columns: repeat(8,10rem);

    }

}




.betca_beltLoading_grid {
    display: grid;
    grid-template-columns: repeat(8,13.5rem);
}

@media(orientation: landscape) {
    .betca_beltLoading_grid {
        grid-template-columns: repeat(8,13.5rem) !important;
    }
}

@media (max-width: 1100px) {
    .betca_beltLoading_grid {
        grid-template-columns: repeat(8,10rem);
    }
}


.loadingPopup {
    width: fit-content;
    padding: 2rem;
    background-color: whitesmoke;
    border-radius: 0.5rem;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate3d(-50%,-50%,0);
}